#include "SinGen.h"

void SinGen::get_sample_n(float i[], float q[], int n) {
  double a_next, b_next;
  
  for (int j = 0; j < n; j++) {
    a_next = a * c - b * d;
    b_next = a * d + b * c;
    i[j] = a_next * amp;
    q[j] = b_next * amp;
    a = a_next;
    b = b_next;
    angle += wd;
  }
}
