#include <WScom.h>
#include <WSCfunctionList.h>
#include <WSCbase.h>
#include "newwin000.h"
#include "dssbp.h"
extern WSCvifield *newvifi_008;
extern WSCvifield *newvifi_009;
//----------------------------------------------------------
//Function for the event procedure
//----------------------------------------------------------
void apply_filter_val(WSCbase* object){
  float lf, hf, at, tr;
  lf = atof((char *)newvifi_008->getProperty(WSNlabelString));
  hf = atof((char *)newvifi_009->getProperty(WSNlabelString));
  at = atof((char *)newvifi_000->getProperty(WSNlabelString));
  tr = atof((char *)newvifi_001->getProperty(WSNlabelString));
  if (lf > 0 && hf > lf && hf < 3500
      && at > 30 && at < 100
      && tr > 30 && tr <350) {
    low_cutoff = lf;
    high_cutoff = hf;
    attn = at;
    tr_bw = tr;
    filter_changed = 1;
  } else {
    popup_err_dialog("invalid filter setting");
  }
}
static WSCfunctionRegister  op("apply_filter_val",(void*)apply_filter_val);
