#include <WScom.h>
#include <WSCfunctionList.h>
#include <WSCbase.h>
#include <WSCmessageDialog.h>
#include "dssbp.h"

extern WSCmessageDialog* newmess_000;

void popup_err_dialog(char *errmsg)
{
  newmess_000->setProperty(WSNlabelString, errmsg);
  newmess_000->popup();
}

void popup_pa_err_dialog(PaError err)
{
  char errmsg[256];
  
  Pa_Terminate();
  sprintf(errmsg, "An error occured while using the portaudio stream:\n %s", Pa_GetErrorText(err));
  newmess_000->setProperty(WSNlabelString, errmsg);
  newmess_000->popup();
}
