#include <WScom.h>
#include <WSCfunctionList.h>
#include <WSCbase.h>
#include "dssbp.h"
//----------------------------------------------------------
//Function for the event procedure
//----------------------------------------------------------
void sel_mode(WSCbase* object){
  int idx = object->getProperty(WSNvalue);
  int new_mode = idx - 1;
  if (generating && (new_mode == 0)) {
    popup_err_dialog("AM modulation not implemented yet");
    object->setProperty(WSNvalue, mode + 1);
  } else {
    mode = new_mode;
    detector->mode = mode;
    generator->mode = mode;
  }
}
static WSCfunctionRegister  op("sel_mode",(void*)sel_mode);
