#include "EQFilter.h"

void EQFilter::do_filter(float *x, float *y, int len)
{
  /*
  for (int n = 0; n < len; n++) {
    y[n] = x[n];
  }
  */
  
  y[0] = (b0 / a0) * x[0] + (b1 / a0) * x_1 + (b2 / a0) * x_2 - (a1 / a0) * y_1 - (a2 / a0) * y_2;
  y[1] = (b0 /a0) * x[1] + (b1 / a0) * x[0] + (b2 / a0) * x_1 - (a1 / a0)* y[0] - (a2 / a0) * y_1;
  for (int n = 2; n < len; n++) {
    y[n] = (b0 / a0) * x[n] + (b1 / a0) * x[n-1] + (b2 / a0) * x[n-2] - (a1 / a0)* y[n-1] - (a2 / a0) * y[n-2];
  }

  x_1 = x[len-1]; x_2 = x[len-2];
  y_1 = y[len-1]; y_2 = y[len-2];

}
